Bug 429291 - restorecon causes selinux denial when run from cron job
restorecon causes selinux denial when run from cron job
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 10:42 EST by long
Modified: 2008-03-05 17:17 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description long 2008-01-18 10:42:43 EST
Description of problem: When restorecon is run as a cron job it produces:
SELinux is preventing /sbin/setfiles (setfiles_t) "write" to pipe (crond_t). 
I'm guessing this is restorecon trying to write output which should end up being
emailed by crond?


Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-74.fc8

How reproducible:
Every night.


Steps to Reproduce:
1. Create the cronjob: 04 4 * * * /sbin/restorecon -e /home/long/mnt -R -v
/home/long/pc
2. 
3.
  
Actual results:
Every day I find this message from setroubleshoot: SELinux is preventing
/sbin/setfiles (setfiles_t) "write" to pipe (crond_t).

Expected results:
No messages from setroubleshoot

Additional info:
Comment 1 Daniel Walsh 2008-01-21 15:07:32 EST
# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-79.fc8
Comment 2 long 2008-02-01 12:01:58 EST
I think this is also leading to another selinux denial:

SELinux is preventing /usr/sbin/crond (setfiles_t) "sigchld" to (crond_t).

Happens at the same time as the other error message.
Comment 3 Daniel Walsh 2008-02-02 00:09:15 EST
Fixed in selinux-policy-3.0.8-84.fc8
Comment 4 Daniel Walsh 2008-03-05 17:17:14 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.